<template>
  <v-row justify="center">
    <v-dialog
      v-model="dialog"
      fullscreen
      hide-overlay
      transition="dialog-bottom-transition"
    >
      <template v-slot:activator="{ on, attrs }">
        <v-btn
          color="primary"
          dark
          v-bind="attrs"
          v-on="on"
        >
          Prelevement cervico vaginal
        </v-btn>
      </template>
      <v-card>
        <v-toolbar
          dark
          color="primary"
        >
          <v-btn
            icon
            dark
            @click="dialog = false"
          >
            <v-icon>mdi-close</v-icon>
          </v-btn>
          <v-toolbar-title>Examen de prelevement cervico vaginal (PCV)</v-toolbar-title>
          <v-spacer></v-spacer>
          <v-toolbar-items>
            <v-btn
              dark
              text
              @click="dialog = false"
            >
              Enregistrer
            </v-btn>
          </v-toolbar-items>
        </v-toolbar>
        <v-list
          three-line
          subheader
        >
         
          <v-form v-model="valid">
            <v-container fluid>
              <v-subheader><strong>Examen macroscopique</strong></v-subheader>
              <v-row>
                <v-list-item>
                  <v-list-item-content>
                      <v-col cols="2">
                          Aspect :
                        </v-col>
                      <v-radio-group
                        v-model="form.aspect_macroscopique"
                      row
                      >
                        <v-radio
                          label="Pateux"
                          value="pateux"
                        ></v-radio>
                        <v-radio
                          label="Laiteux"
                          value="laiteux"
                        ></v-radio>

                        <v-radio
                          label="Glaireux"
                          value="glaireux"
                        ></v-radio>

                        <v-radio
                          label="Autre"
                          value="autre"
                        ></v-radio>
                      </v-radio-group>
                      <v-col cols="3">
                          <v-text-field v-model="form.aspect_macroscopique_autre" label="Préciser"></v-text-field>
                      </v-col>
                    </v-list-item-content>
                </v-list-item>
              </v-row>
              <v-row>
                <v-list-item>
                  <v-list-item-content>
                      <v-col cols="2">
                          Couleur :
                        </v-col>
                      <v-radio-group
                        v-model="form.couleur_macroscopique"
                        row
                      >
                      
                        <v-radio
                          cols="2"
                          label="Jaunâtre"
                          value="jaunatre"
                        ></v-radio>
                        <v-radio
                          cols="2"
                          label="Chocolaté"
                          value="chocolate"
                        ></v-radio>

                        <v-radio
                          cols="2"
                          label="Hématique"
                          value="hematique"
                        ></v-radio>

                        <v-radio
                          cols="2"
                          label="Autre"
                          value="autre"
                        ></v-radio>
                      </v-radio-group>
                      <v-col cols="3">
                          <v-text-field clearable v-model="form.couleur_macroscopique_autre" label="Préciser"></v-text-field>
                      </v-col>
                    </v-list-item-content>
                </v-list-item>
              </v-row>
              <v-row>
                <v-list-item>
                  <v-list-item-content>
                      <v-col cols="3">
                          <v-text-field v-model="form.ph_macroscopique" outlined label="Ph (3.8 - 4.5)"></v-text-field>
                      </v-col>
                      <v-col cols="3">
                          Test à la Potasse (KOH) :
                        </v-col>
                      <v-radio-group
                        v-model="form.test_potasse_macroscopique"
                        row
                      >
                        
                        <v-radio
                          cols="2"
                          label="Positif"
                          value="positif"
                        ></v-radio>
                        <v-radio
                          cols="2"
                          label="Negatif"
                          value="negatif"
                        ></v-radio>
                      </v-radio-group>
                  </v-list-item-content>
                </v-list-item>
              </v-row>
          
              <v-divider></v-divider>

              <v-subheader><strong>Examen microscopique</strong></v-subheader>
              <v-list-item>
                <v-list-item-content>
                    <v-col cols="4">
                        <v-text-field v-model="form.leucocytes_microscopique" outlined label="Leucocytes"></v-text-field>
                    </v-col>
                    <v-col cols="3">
                        Trichomonas vaginalis :
                      </v-col>
                    <v-radio-group
                      row
                      v-model="form.trichomonas_vaginalismicroscopique"
                    >
                      
                      <v-radio
                        cols="2"
                        label="Présence"
                        value="presence"
                      ></v-radio>
                      <v-radio
                        cols="2"
                        label="Absence"
                        value="absence"
                      ></v-radio>
                    </v-radio-group>
                </v-list-item-content>
              </v-list-item>

              <v-list-item>
                <v-list-item-content>
                    <v-col cols="2">
                        <v-text-field v-model="form.hematies_microscopique" outlined label="Hématies"></v-text-field>
                    </v-col>
                    <v-col cols="2">
                        <v-text-field v-model="form.cellules_microscopique" outlined label="Cellules"></v-text-field>
                    </v-col>
                    <v-col cols="2">
                        <v-text-field v-model="form.levures_microscopique" outlined label="Levures"></v-text-field>
                    </v-col>
                    <v-col cols="3">
                        <v-text-field v-model="form.filaments_myceliens_microscopique" outlined label="Filaments mycéliens"></v-text-field>
                    </v-col>
                    <v-col cols="3">
                        <v-text-field v-model="form.microscopique_autre" outlined label="Autres à préciser"></v-text-field>
                    </v-col>
                </v-list-item-content>
              </v-list-item>
              <v-divider></v-divider>

              <v-subheader><strong>Coloration de GRAM</strong></v-subheader>
              <v-row>
                <v-radio-group
                  v-model="form.coloration_gram"
                  row
                >
                  <v-radio
                    label="Diplocoque Gram négatif"
                    value="diplocoquegramnegatif"
                  ></v-radio>
                  <v-radio
                    label="Bacille Gram négatif"
                    value="bacillegramnegatif"
                  ></v-radio>
                </v-radio-group>
              </v-row>
              <v-row>
                <v-radio-group
                  row
                >
                  <v-radio
                    label="Cocci Gram positif en amas"
                    value="coccigrampositif"
                  ></v-radio>
                  <v-radio
                    label="Absence de germes"
                    value="absencegerme"
                  ></v-radio>
                </v-radio-group>
              </v-row>
              <v-row>
                <v-radio-group
                  v-model="row"
                  row
                >
                  <v-radio
                    label="Cocci Gram positif en chainette"
                    value="diplocoquegramnegatif"
                  ></v-radio>
                  <v-radio
                    label="Mobilincus"
                    value="mobilincus"
                  ></v-radio>
                </v-radio-group>
              </v-row>

              <v-row>
                <v-radio-group
                  v-model="row"
                  row
                >
                  <v-radio
                    label="Cocco Bacille Gram variable"
                    value="coccobacillegramvariable"
                  ></v-radio>
                  <v-radio
                    outlined
                    label="CLUE CELLS"
                    value="cluecells"
                  ></v-radio>
                </v-radio-group>
              </v-row>

              <v-row>
                <v-col cols="6">
                  <v-text-field v-model="form.coloration_bacille_doderlein" outlined label="Bacille de Doderlein"></v-text-field>
                </v-col>
                <v-col cols="6">
                  <v-text-field v-model="form.coloration_type_flore" outlined label="Type de flore"></v-text-field>
                </v-col>
              </v-row>

              <v-subheader><strong>Examen après culture</strong></v-subheader>
              <v-row>
                  <v-col cols="6">
                        <v-text-field v-model="form.coloration_gram_apres_culture" outlined label="Coloration de GRAM"></v-text-field>
                  </v-col>
              </v-row>

              <v-row>
                  <v-col cols="6">
                        <v-text-field v-model="form.identificatio_bacteriologie_apres_culture" outlined label="Identification 1 (Bactériologie)"></v-text-field>
                  </v-col>
                  <v-col cols="6">
                        <v-text-field v-model="form.identificatio_mycologie_apres_culture" outlined label="Identification 2 (Mycologie)"></v-text-field>
                  </v-col>
              </v-row>

              <v-row>
                  <v-list-item>
                    <v-list-item-content>
                        <v-col cols="3">
                            Antibiogramme :
                        </v-col>
                        <v-radio-group 
                        row
                        >
                          
                          <v-radio
                            cols="3"
                            label="Effectué"
                            value="effectue"
                          ></v-radio>
                          <v-radio
                            cols="3"
                            label="Non effectué"
                            value="noneffectue"
                          ></v-radio>
                        </v-radio-group>

                        <v-col cols="6">
                          <v-autocomplete 
                            v-model="form.antibiogramme_apres_culture"
                            outlined
                            :items="antibiotiques" 
                            item-value="id" 
                            item-text="name" 
                            menu-props="auto"
                            multiple 
                            label="Rechercher l'antibiotique"  
                            hint="Entrez le nom de l'antibiotique que vous souhaitez rechercher">
                          </v-autocomplete>
                        </v-col>
                    </v-list-item-content>
                  </v-list-item>
              </v-row>

            </v-container>
          </v-form>
        </v-list>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<script>


import { mapGetters } from 'vuex'
import { mapState } from 'vuex'

  export default {
    data () {
      return {
        form : new Form({
          aspect_macroscopique:false,
          aspect_macroscopique_autre: false,
          couleur_macroscopique:false,
          couleur_macroscopique_autre:'',
          ph_macroscopique : "",
          test_potasse_macroscopique : "",
          leucocytes_microscopique : "",
          hematies_microscopique : "",
          cellules_microscopique : "",
          levures_microscopique : "",
          filaments_myceliens_microscopique : "",
          trichomonas_vaginalismicroscopique : "",
          microscopique_autre:"",
          coloration_gram : "",
          coloration_bacille_doderlein : "",
          coloration_type_flore :"",
          coloration_gram_apres_culture : "",
          identificatio_bacteriologie_apres_culture : "",
          identificatio_mycologie_apres_culture :"",
          antibiogramme_apres_culture:[],
          antifongigramme_apres_culture:[],
          conclusion_apres_culutre:"",
          antibiogramme_id:"",
        }),
        dialog: false,
        notifications: false,
        sound: true,
        widgets: false,
      }
    },

    computed: {
        ...mapGetters({initialized:'demands/initialized',qualifications:'params/_qualifications',_patients:'params/_patients',insurances:'params/_insurances',antibiotiques:'params/_antibiotiques', moreExists:'demands/moreExists',next_page_url:"demands/next_page_url",total:"demands/total"
          ,exams:'params/_exams'  ,current_page:"demands/current_page",items:"demands/_items",loading:"demands/loading",loaded:"demands/loaded"}),
      
    },
  }
</script>